# QGesture Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QGesture(QObject parent)

### Constructor Properties

- prototype: The QGesture prototype object
- CancelNone = 0
- CancelAllInContext
- GestureCancelPolicy( value )

### Prototype Object Properties

The QGesture prototype object inherits properties from the QObject prototype object and also has the following properties.

- void unsetHotSpot()

### Instance Properties

QGesture objects inherit properties from the QGesture prototype object and also have the following properties.

- state
- gestureType
- gestureCancelPolicy
- hotSpot
- hasHotSpot